Skip to main content

Create a new SegmentationRule in a service group

POST 

/qsystem/rest/config/operationProfiles/:operationProfileId/serviceGroups/:serviceGroupId/segmentationRules

Create a new SegmentationRule in a service group. Any values specified in the input com.qmatic.qp.domain.configuration.Queue will be used to create the corresponding queue. Values left out will be generated. In the example below queue name and ticket range will be generated automatically. The only allowed values for queue type is "QUEUE" or "APPOINTMENT_QUEUE"

curl -u user:password -i -X POST -H 'content-type:application/json'
-d '{"name": "Appointment S3",
"ruleConditions": [{"ruleConditionTemplateId": 8,"values": "{}"}],
"queue": {"queueLetters": "G", "type": "APPOINTMENT_QUEUE"}}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/{operationProfileId}/serviceGroups/{serviceGroupId}/segmentationRules/

Omitting queue letter field is allowed only if start and end is also omitted, and the resulting queue will use an available sequence for some queue letter. Specifying a queue letter and omitting start and end creates a segmentation rule and a queue that uses an available sequence for the specified queue letter, or a subsequent letter if need be. Specifying a queue letter and start and end is allowed only if the fields name, type and service level are also specified. Specifying a empty string as queue letter creates a queue that lacks queue letter.

Request​

Responses​

A SegmentationRule